package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class MappingPertanyaanToKeteranganVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "ObjectPertanyaanSurveyFk")
	@Caption(value="PertanyaanSurvey")
	private PertanyaanSurveyVO pertanyaanSurvey;
	
	@ManyToOne
	@JoinColumn(name = "ObjectKeteranganSurveyFk")
	@Caption(value="KeteranganSurvey")
	private KeteranganSurveyVO keteranganSurvey;
	
	@Column(name = "Jumlah", nullable = true)
	@Caption(value="Jumlah")
	private Integer jumlah;
	
	public PertanyaanSurveyVO getPertanyaanSurvey() {
		return pertanyaanSurvey;
	}

	public void setPertanyaanSurvey(PertanyaanSurveyVO pertanyaanSurvey) {
		this.pertanyaanSurvey = pertanyaanSurvey;
	}

	public KeteranganSurveyVO getKeteranganSurvey() {
		return keteranganSurvey;
	}

	public void setKeteranganSurvey(KeteranganSurveyVO keteranganSurvey) {
		this.keteranganSurvey = keteranganSurvey;
	}

	public Integer getJumlah() {
		return jumlah;
	}

	public void setJumlah(Integer jumlah) {
		this.jumlah = jumlah;
	}
	
}
